## libapache-mod-auth-kerb 5.4

=== debian/changelog ===
libapache-mod-auth-kerb (5.4-3) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0.
  * d/rules: Add build-arch and build-indep. (Closes: #999324)

 -- Bastian Germann <bage@debian.org>  Wed, 09 Aug 2023 17:10:56 +0200

libapache-mod-auth-kerb (5.4-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Always assume none replay cache type is present, Closes: #975344

 -- Sam Hartman <hartmans@debian.org>  Mon, 23 Nov 2020 09:34:53 -0500

libapache-mod-auth-kerb (5.4-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from upstream issue tracker to fix crash (Closes: #934043)

 -- Paul Wise <pabs@debian.org>  Mon, 21 Oct 2019 11:15:20 +0800

libapache-mod-auth-kerb (5.4-2.3) unstable; urgency=medium

  * Don't apply the delegation patch, it can break gssapi auth. (Closes:
    #815579)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Jul 2016 11:53:13 +0300

libapache-mod-auth-kerb (5.4-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patches from Fedora for FreeIPA:
    mod_auth_kerb-5.4-delegation.patch
    mod_auth_kerb-5.4-fixes.patch
    mod_auth_kerb-5.4-handle-continue.patch
    mod_auth_kerb-5.4-longuser.patch
    mod_auth_kerb-5.4-rcopshack.patch
    mod_auth_kerb-5.4-s4u2proxy.patch

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Sep 2014 11:04:35 +0300

libapache-mod-auth-kerb (5.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to Apache 2.4 and dh_apache2.  (Closes: #666811)

 -- Russ Allbery <rra@debian.org>  Wed, 10 Jul 2013 23:41:23 -0700

libapache-mod-auth-kerb (5.4-2) unstable; urgency=low

  * Reenabled patch gssapi_delegation (Closes: #613920)
  * Added GSS_C_DELEG_FLAG to enable delegated credentials.
  Closes: #507829
  * Added upstream docs: README and INSTALL. (Closes: #574413)
  * Removed transitional package  libapache-mod-auth-kerb.
  Closes: 639968
	
 -- Ghe Rivero <ghe@debian.org>  Tue, 29 May 2012 08:13:47 +0200

libapache-mod-auth-kerb (5.4-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe@debian.org>  Mon, 15 Mar 2010 08:50:07 +0100

libapache-mod-auth-kerb (5.3-5) unstable; urgency=low

  * Migrate patches to quilt
  * Added patch gssapi_delegation (Closes: #480097)
  * Added patch krb_append_realm 

 -- Ghe Rivero <ghe@debian.org>  Thu, 08 May 2008 09:22:42 +0200

libapache-mod-auth-kerb (5.3-4) unstable; urgency=low

  * Some lintian cleans:
    -  build-depends-on-1-revision

 -- Ghe Rivero <ghe@debian.org>  Tue, 19 Feb 2008 12:08:38 +0100

libapache-mod-auth-kerb (5.3-3) experimental; urgency=low

  * Added patch auth_to_local (no @REALM necessary) 

 -- Ghe Rivero <ghe@debian.org>  Mon, 11 Feb 2008 08:37:27 +0100

libapache-mod-auth-kerb (5.3-2) unstable; urgency=low

  * watch file working again. (Closes: #453603)
  * clean lintian error: debian package revision
  * clean lintian error: make clean rules

 -- Ghe Rivero <ghe@debian.org>  Fri,  1 Feb 2008 17:59:18 +0100

libapache-mod-auth-kerb (5.3-1.4) unstable; urgency=low

  * Added patch gssapi_any (Closes: #460958) by Russ Allbery
  * Updated to 3.7.3 Debian Policy
  * Removed homapage from package Description
  * Changed Section from web to net

 -- Ghe Rivero <ghe@debian.org>  Wed, 16 Jan 2008 08:51:16 +0100

libapache-mod-auth-kerb (5.3-1.3) unstable; urgency=low

  * Remove apache1.x support (Closes: #429125)

 -- Ghe Rivero <ghe@debian.org>  Sun, 17 Jun 2007 12:36:00 +0200

libapache-mod-auth-kerb (5.3-1.2) unstable; urgency=low

  * Applied patch from ubuntu to remove bashisms (Closes: #376550) 

 -- Ghe Rivero <ghe@debian.org>  Fri, 25 May 2007 18:24:11 +0200

libapache-mod-auth-kerb (5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove check on krb5_init_context() in configure script, it does also work
    without it (Closes: #423785).

 -- Mario Iseli <admin@marioiseli.com>  Fri, 18 May 2007 18:58:21 +0200

libapache-mod-auth-kerb (5.3-1) unstable; urgency=high

  * New upstream release
  * Fixes posible heap-based buffer overflow. CVE-2006-5989

 -- Ghe Rivero <ghe@debian.org>  Wed, 22 Nov 2006 16:16:35 +0100

libapache-mod-auth-kerb (5.2-1) unstable; urgency=low

  * New upstream release
  * 03rcache.dpatch disabled. (Included upstream)

 -- Ghe Rivero <ghe@debian.org>  Mon,  6 Nov 2006 21:13:40 +0100

libapache-mod-auth-kerb (5.1-2) unstable; urgency=high

  * 03rcache.dpatch (Closes: #395931, #396669)

 -- Ghe Rivero <ghe@debian.org>  Thu,  2 Nov 2006 23:02:22 +0100

libapache-mod-auth-kerb (5.1-1) unstable; urgency=medium

  * New upstream release
  * New maintaner e-mail (Finally DD!)

 -- Ghe Rivero <ghe@debian.org>  Fri, 20 Oct 2006 01:43:38 +0200

libapache-mod-auth-kerb (4.996-5.0-rc7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for apache 2.2 (Closes: #391760).
  * Tighten build depends on libkrb5-dev (Closes: #389936).

 -- Luk Claes <luk@debian.org>  Mon, 16 Oct 2006 21:47:56 +0200

libapache-mod-auth-kerb (4.996-5.0-rc7-1) unstable; urgency=low

  * New upstream release
  * Updated Policy Version to 3.7.2
  * Added autotools-dev as build-dependency
  * Added homepage to descriptions

 -- Ghe Rivero <ghe@upsa.es>  Sun, 19 Mar 2006 11:08:44 +0100

libapache-mod-auth-kerb (4.996-5.0-rc6-3) unstable; urgency=low

  * Fix GSSAPI fails with "Request is a replay" under krb5 1.4.3
  	Closes: #340360
  * Updated Policy Version to 3.6.2

 -- Ghe Rivero <ghe@upsa.es>  Tue, 13 Dec 2005 23:46:06 +0100

libapache-mod-auth-kerb (4.996-5.0-rc6-2) unstable; urgency=low

  * Added patch from Andreas Jochens to build on AMD64 arch, Closes: #300810
  * Build depends on dpatch
  * Added watch file
  * New maintainer (finally)
  * Update README file (support on Firefox and Konqueror), Closes: #329180

 -- Ghe Rivero <ghe@upsa.es>  Thu, 31 Mar 2005 17:54:49 +0200

libapache-mod-auth-kerb (4.996-5.0-rc6-1) unstable; urgency=low

  * New upstream version
  * Closes: #290676

 -- Ghe Rivero <ghe@upsa.es>  Fri, 11 Feb 2005 00:50:51 +0100


