=== debian/control ===
Source: libapache-mod-auth-kerb
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 4), autotools-dev, libkrb5-dev (>= 1.4.0), autoconf, apache2-dev (>= 2.4), dh-apache2
Standards-Version: 3.9.3

Package: libapache2-mod-auth-kerb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-config
Description:  apache2 module for Kerberos authentication
 An apache2 module for authenticating users in a Kerberos realm.
 It supports basic user and password authentication or a
 negotiate auth based on Kerberos tickets.
 .
