=== debian/watch ===
version=3
opts=dversionmangle=s/4\.996\-// \
http://sf.net/modauthkerb/mod_auth_kerb-([\d.]*).tar.gz debian uupdate
